Dopo 16 anni di attività del Forum GT, oggi, da quello stesso forum, nasce una nuova Community: Connect.gt
Attualmente siamo in fase Alpha 0.1
SCOPRI TUTTE LE NOVITÀ CLICCANDO QUI

Oppure Lascia un feedback, Segnala un bug, Suggerisci miglioramenti o Togliti un dubbio!
  • Super User

    Conflitto con jquery datepicker?

    Salve a tutti
    è da ieri sera che ho problemi a mostrare il calendario di jquery nel mio sito fatto con bootstrap
    In pratica o vedo il calendario per scegliere le date (quando clicco sul campo di testo) oppure funziona il menu a discesa per i dispositivi mobile
    Tutte e 2 le cose non riesco a farle funzionare

    Magari sbaglio l'ordine di inclusione dei file di bootstrap e jquery
    Sapreste dirmi come posso risolvere la cosa?
    Questo è l'ordine che ho attualmente nel footer della pagina
    Grazie

    
    <!-- Inizio Javascript e Bootstrap -->
        <link href="<?=$url?>/inc/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    	<link rel="stylesheet" href="<?=$url?>/inc/stile.css">
    	 <link rel="stylesheet" href="inc/jquery/development-bundle/themes/redmond/jquery.ui.all.css">
      <script src="inc/jquery/js/jquery-1.4.4.min.js"></script>
      <script src="inc/jquery/development-bundle/ui/jquery.ui.core.js"></script>
       <script src="inc/jquery/development-bundle/ui/jquery.ui.datepicker.js"></script>
    	<script>
    	$(function() {
    		var dates = $( "#arrivo, #partenza" ).datepicker({
    			defaultDate: "+1w",
    			changeMonth: true,
    			numberOfMonths: 1,
    			minDate: +0,
    			onSelect: function( selectedDate ) {
    				var option = this.id == "arrivo" ? "minDate" : "maxDate",
    					instance = $( this ).data( "datepicker" ),
    					date = $.datepicker.parseDate(
    						instance.settings.dateFormat ||
    						$.datepicker._defaults.dateFormat,
    						selectedDate, instance.settings );
    				dates.not( this ).datepicker( "option", option, date );
    			}
    		});
    	});
    	</script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
    	<script src="<?=$url?>/inc/bootstrap/js/bootstrap.min.js"></script>
    
    

  • User Attivo

    Ciao,

    stai utilizzando un versione molto vecchia di JQuery, può essere che le versioni di Bootstrap e/o JQuery UI non siano compatibili con JQuery 1.4

    Vedi dalla console del browser che errori ti spuntano fuori, può aiutare a capire dove sta l'errore.

    Gli script richiamali sempre nel footer.